Skip to main content
POST
/
v1
/
sso_connections
Create an SSO Connection
curl --request POST \
  --url https://api.us.lexful.app/v1/sso_connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "https://api.us.lexful.app/v1/sso_connections"

payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>'})
};

fetch('https://api.us.lexful.app/v1/sso_connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "connection_id": "<string>",
  "name": "<string>",
  "saml_config": {
    "acs_url": "<string>",
    "audience_uri": "<string>",
    "idp_entity_id": "<string>",
    "idp_sso_url": "<string>",
    "x509_certificate": "<string>",
    "attribute_mapping": {}
  },
  "oidc_config": {
    "redirect_url": "<string>",
    "client_id": "<string>",
    "client_secret": "<string>",
    "issuer": "<string>"
  }
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Body

application/json
name
string
required

Display name for the SSO connection

Required string length: 1 - 255
connection_type
enum<string>
required

SSO connection type (saml or oidc)

Available options:
saml,
oidc

Response

Default Response

connection_id
string
required

SSO connection unique identifier

type
enum<string>
required

SSO connection type (SAML or OIDC)

Available options:
saml,
oidc
status
enum<string>
required

SSO connection status

Available options:
active,
inactive,
pending
name
string

Name for the SSO connection

saml_config
object
oidc_config
object